Skip to main content
GET
/
actions
/
{actionId}
Get action by ID
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/integration/actions/{actionId} \
  --header 'x-api-token: <api-key>'
{
  "id": "<string>",
  "organisationId": "<string>",
  "communityId": "<string>",
  "allocationId": "<string>",
  "allocatedTo": "achievement",
  "position": 123,
  "category": "nudj",
  "key": "facebook-comment",
  "details": {
    "title": "<string>",
    "description": "<string>",
    "light": {
      "primaryImageUrl": "<string>",
      "secondaryImageUrl": "<string>"
    },
    "dark": {
      "primaryImageUrl": "<string>",
      "secondaryImageUrl": "<string>"
    }
  },
  "progressPeriod": "daily",
  "maxCompletionsPerPeriod": 1,
  "attributes": {
    "key": "question-multiple-choice",
    "question": "<string>",
    "options": [
      {
        "id": "<string>",
        "label": "<string>"
      }
    ],
    "minimumNumberOfAnswersRequired": 2,
    "maximumNumberOfAnswersAllowed": 2
  },
  "config": {
    "isOptional": true,
    "socialValidation": "validation-on",
    "prerequisites": {
      "requiredActionCount": 123,
      "actionIds": [
        "<string>"
      ]
    },
    "requiresCorrectAnswer": true
  },
  "xpConfig": {
    "total": 1,
    "knowledge": 1,
    "creativity": 1,
    "loyalty": 1,
    "influence": 1,
    "participation": 1,
    "contribution": 1
  },
  "videoMetadata": {
    "startsAtMs": 1,
    "shouldPause": true,
    "validatesAtMs": 1,
    "endsAtMs": 1
  },
  "createdAt": "<string>",
  "rewardDistribution": {
    "points": 1,
    "xp": 1,
    "rewardSelectionMethod": "all",
    "distributionEventId": "<string>",
    "rewardAllocations": [
      {
        "rewardId": "<string>",
        "allocationId": "<string>",
        "allocationType": "assets",
        "amountToDistribute": 2
      }
    ],
    "numberOfRewardsToReceive": 1
  },
  "rewards": [
    {
      "id": "<string>",
      "details": {
        "title": "<string>",
        "description": "<string>",
        "light": {
          "primaryImageUrl": "<string>",
          "secondaryImageUrl": "<string>"
        },
        "dark": {
          "primaryImageUrl": "<string>",
          "secondaryImageUrl": "<string>"
        }
      },
      "type": "assets",
      "amountToDistribute": 1,
      "totalSupply": 1,
      "remainingSupply": 1
    }
  ],
  "userState": {
    "status": "abandoned",
    "criteriaMet": true,
    "statusMessage": "<string>",
    "eligibleXp": 123,
    "earnedXp": 123,
    "attempts": 123,
    "output": {
      "key": "interaction-external-link",
      "eventId": "<string>"
    },
    "unmetCriteriaMessage": "<string>",
    "metCriteriaMessage": "<string>"
  },
  "participations": [
    {
      "id": "<string>",
      "criteriaMet": true,
      "output": {
        "key": "interaction-external-link",
        "eventId": "<string>"
      },
      "status": "pending",
      "participatedAt": "<string>",
      "processingStartedAt": "<string>",
      "processedAt": "<string>",
      "unmetCriteriaMessage": "<string>",
      "metCriteriaMessage": "<string>",
      "processingFailedMessage": "<string>"
    }
  ],
  "actionGroupId": "<string>",
  "actionGroupIndex": 123,
  "availableAsTemplateForOrganisations": [
    "<string>"
  ],
  "isGlobalTemplate": true,
  "previousAction": "<string>",
  "nextAction": "<string>"
}

Authorizations

x-api-token
string
header
required

Headers

x-language
string

The language to return the action in. If not provided, the default language for the organisation will be used.

Path Parameters

actionId
string
required

Response

Successful response

An action

id
string
required

The id of the action

Pattern: ^[0-9a-fA-F]{24}$
organisationId
string
required

The organisation that the action belongs to

Pattern: ^[0-9a-fA-F]{24}$
communityId
string
required

The community that the action belongs to

Pattern: ^[0-9a-fA-F]{24}$
allocationId
string
required

The allocation this action is assigned to. This can be set to a challenge only at the moment.

Pattern: ^[0-9a-fA-F]{24}$
allocatedTo
enum<string>
required

The entity type this action is allocated to. This can be set to a 'challenge' only at the moment.

Available options:
achievement,
action,
community,
challenge,
leaderboard,
post,
reward,
reward-asset,
reward-entry
position
number
required

The display position of this action

category
enum<string>
required

The category of this action

Available options:
nudj,
discord,
facebook,
imageAnalysis,
instagram,
interaction,
linkedin,
question,
platform,
spotify,
tiktok,
twitter,
youtube
key
enum<string>
required

The specific type of this action

Available options:
facebook-comment,
facebook-follow,
facebook-like,
image-analysis-object-detection,
image-analysis-receipt-detection,
instagram-follow,
instagram-like,
instagram-comment,
instagram-share,
instagram-post,
interaction-engage-with-content,
interaction-external-link,
interaction-image-upload,
interaction-spot-object,
platform-comment-on-post,
platform-complete-achievement,
platform-generative-action,
platform-like-post,
platform-play-game,
platform-validate-event,
question-multiple-choice,
question-open-ended,
question-rate-your-experience,
question-secret-access-code,
question-select-date,
question-select-from-images,
question-select-value-in-range,
question-select-from-list,
question-closed-ended,
question-vote,
spotify-follow,
spotify-listen,
spotify-save,
tiktok-follow,
tiktok-watch,
tiktok-post,
youtube-like,
youtube-comment,
youtube-subscribe
details
Details · object
required

The details of this action such as title, description, bannerUrl, logoUrl

progressPeriod
enum<string>
required

The progress period of the action

Available options:
daily,
weekly,
monthly,
yearly,
open
maxCompletionsPerPeriod
required

The maximum number of completions per period for the action

Required range: x >= 0
attributes
Multiple Choice Question · object
required

The specific attributes for this action type. This must symantically match the key of this action.

config
ActionConfig · object
required

The configuration settings for this action

xpConfig
User XP Breakdown · object
required

XP breakdown for this action. Can be customized per action or set to match platform config defaults.

videoMetadata
Video Metadata · object
required

Video metadata for actions with video content

createdAt
string
required

The date when this action was created

rewardDistribution
Entity Reward Distribution · object
required

Reward distribution information for this action

rewards
Reward Distribution Item · object[]
required
userState
object
required
participations
ActionParticipationStatus · object[]
required

History of all user attempts and interactions with this action

actionGroupId
string | null

The action group this action belongs to

Pattern: ^[0-9a-fA-F]{24}$
actionGroupIndex
number | null

The index of this action within its action group

availableAsTemplateForOrganisations
string[] | null

List of organisation IDs that can use this action as a template

Pattern: ^[0-9a-fA-F]{24}$
isGlobalTemplate
boolean | null

Indicates if this action is available as a template globally across all organisations

previousAction
string | null

ID of the action that precedes this one in sequence

nextAction
string | null

ID of the action that follows this one in sequence